#!/usr/bin/make -f
export DH_GOLANG_INSTALL_ALL := 1
BUILDDIR := $(CURDIR)/_build
export PATH := $(BUILDDIR)/bin:$(PATH)
# This is needed for overridden go test to work
export GOCACHE := $(BUILDDIR)/go-build

%:
	dh $@ --builddirectory=$(BUILDDIR) --buildsystem=golang --with=golang

override_dh_auto_test:
	# Prevent tests from running in parallel
	go test -vet=off github.com/cloudflare/cfssl/...

override_dh_auto_install:
	dh_auto_install -- --no-source
